Bug 500225 - (CVE-2009-1629) CVE-2009-1629 AjaxTerm: session id collision
CVE-2009-1629 AjaxTerm: session id collision
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.ocert.org/advisories/ocert...
reported=20090511,public=20090511,sou...
: Security
Depends On: 544033
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 14:44 EDT by Jan Lieskovsky
Modified: 2015-08-22 12:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:09:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DSA-1994-1 patch (5.23 KB, patch)
2010-02-12 03:21 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2009-05-11 14:44:24 EDT
From the oCERT advisory:

AjaxTerm uses a form of random session id generation which can lead to remote session hijacking.

The ajaxterm.js script allocates session ids on the client side using the following method:

var sid=""+Math.round(Math.random()*1000000000);

The javascript random function used in combination with round does not provide sufficient entropy for a unique session id, as the session id is the only unique identifier for the user session it is possible for an attacker to brute force the space of possible id values and attach an existing connection.

This vulnerability also allows Denial Of Service attacks as it is possible to exhaust the available session ids when performing a brute force attack and, depending on the configured AjaxTerm child command, system resources.

Credit: Michael Greb
Comment 1 Jan Lieskovsky 2009-05-14 13:39:40 EDT
CVE-2009-1629:

ajaxterm.js in AjaxTerm 0.10 and earlier generates session IDs with
predictable random numbers based on certain JavaScript functions,
which makes it easier for remote attackers to (1) hijack a session or
(2) cause a denial of service (session ID exhaustion) via a
brute-force attack. 

References:
http://www.securityfocus.com/archive/1/archive/1/503421/100/0/threaded
http://xforce.iss.net/xforce/xfdb/50464
Comment 2 Vincent Danen 2009-12-03 13:38:19 EST
Created Fedora tracking bugs for AjaxTerm:

All versions: bug #544033
Comment 3 Tomas Hoger 2010-02-12 03:21:29 EST
Created attachment 390456 [details]
DSA-1994-1 patch

Debian has release a security advisory for ajaxterm to address this flaw:
  http://www.debian.org/security/2010/dsa-1994

Comment in the patch describes what changes they've made.  Patch extracted from ajaxterm_0.10-2+lenny1.diff.gz .

Note You need to log in before you can comment on or make changes to this bug.